LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-06-2020, 10:54 AM   #2866
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,523

Original Poster
Rep: Reputation: Disabled

Quote:
Originally Posted by macondo View Post
MPV error: Unable to locate docutils in the SlackBuilds.org tree.
sorry, I don't know which third party tool you are using but it should ignore scripts from from SBo already added to Slackware current (as docutils, added to current as python-docutils): please have a look at the wiki.

Quote:
Originally Posted by macondo View Post
JWM: no /etc/jwm/sytem.jwmrc exists, no way to copy the global file into /home and configure the window manager.
regarding jwm I suppose you have that message at runtime and that is not a current-specific issue so I invite you to read very carefully the first post of this topic...
Besides that, looking at the SlackBuild I can see that at some point a sample jwmrc (example.jwmrc) is copied in the /usr/doc/jwm-* folder, so it can be that the message is just a warning and this behavior is intended by the SlackBuild maintainer: I suggest you to get in touch with him (his mail address is in the jwm.info file).

Last edited by ponce; 07-06-2020 at 10:55 AM.
 
Old 07-07-2020, 11:27 AM   #2867
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,523

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by USUARIONUEVO View Post
I rebuild qt5-styleplugins , and now all builds fine , i comment cause probably others can pick up this problem.
actually they shouldn't, because before reporting here they should test their errors on clean and full installation of Slackware current (so without qt5-styleplugins)
 
Old 07-11-2020, 02:11 PM   #2868
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 540

Rep: Reputation: 258Reputation: 258Reputation: 258
Cannot build swift on -current:

Code:
[1835/2389] Building CXX object tools/clang/lib/CodeGen/CMakeFiles/clangCodeGen.dir/ItaniumCXXABI.cpp.o
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/ItaniumCXXABI.cpp:21:
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGCXXABI.h:18:
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CodeGenFunction.h:21:
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CodeGenModule.h:19:
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CodeGenTypes.h:20:
/tmp/SBo/swift-4.0/llvm/tools/clang/include/clang/Sema/Sema.h:1633:27: warning: private field 'Keyword' is not used [-Wunused-private-field]
    const IdentifierInfo *Keyword;
                          ^
1 warning generated.
[1836/2389] Building CXX object tools/clang/lib/CodeGen/CMakeFiles/clangCodeGen.dir/CGStmtOpenMP.cpp.o
/tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGStmtOpenMP.cpp:989:41: warning: lambda capture 'this' is not used [-Wunused-lambda-capture]
        PrivateScope.addPrivate(LHSVD, [this, OASELValueLB]() -> Address {
                                        ^~~~~
/tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGStmtOpenMP.cpp:1043:41: warning: lambda capture 'this' is not used [-Wunused-lambda-capture]
        PrivateScope.addPrivate(LHSVD, [this, ASELValue]() -> Address {
                                        ^~~~~
/tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGStmtOpenMP.cpp:2635:21: warning: lambda capture 'PartId' is not used [-Wunused-lambda-capture]
  auto &&CodeGen = [PartId, &S, &Data, CS, &BodyGen, &LastprivateDstsOrigs](
                    ^~~~~~~
/tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGStmtOpenMP.cpp:2635:30: warning: lambda capture 'S' is not used [-Wunused-lambda-capture]
  auto &&CodeGen = [PartId, &S, &Data, CS, &BodyGen, &LastprivateDstsOrigs](
                            ~^~~
/tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGStmtOpenMP.cpp:3252:19: warning: lambda capture 'IsSeqCst' is not used [-Wunused-lambda-capture]
                  IsSeqCst, IsPostfixUpdate](RValue XRValue) -> RValue {
~~~~~~~~~~~~~~~~~~^~~~~~~~
/tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGStmtOpenMP.cpp:3279:20: warning: lambda capture 'CGF' is not used [-Wunused-lambda-capture]
    auto &&Gen = [&CGF, &NewVVal, ExprRValue](RValue XRValue) -> RValue {
                  ~^~~~
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CGStmtOpenMP.cpp:16:
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CodeGenFunction.h:21:
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CodeGenModule.h:19:
In file included from /tmp/SBo/swift-4.0/llvm/tools/clang/lib/CodeGen/CodeGenTypes.h:20:
/tmp/SBo/swift-4.0/llvm/tools/clang/include/clang/Sema/Sema.h:1633:27: warning: private field 'Keyword' is not used [-Wunused-private-field]
    const IdentifierInfo *Keyword;
                          ^
7 warnings generated.
ninja: build stopped: subcommand failed.
utils/build-script: fatal error: command terminated with a non-zero exit status 1, aborting

swift:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:
 
Old 07-11-2020, 04:29 PM   #2869
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,523

Original Poster
Rep: Reputation: Disabled
looks like it's not that simple to version bump swift (many component change or aren't needed anymore): please try to get in touch with the maintainer on SBo asking for an update....
 
Old 07-12-2020, 12:04 AM   #2870
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 540

Rep: Reputation: 258Reputation: 258Reputation: 258
Quote:
Originally Posted by ponce View Post
looks like it's not that simple to version bump swift (many component change or aren't needed anymore): please try to get in touch with the maintainer on SBo asking for an update....
Will do that. Thanks for the heads-up!
 
Old 07-13-2020, 12:00 AM   #2871
Spinlock
Member
 
Registered: Jan 2006
Location: Missouri
Distribution: Slackware -current, Slackware64 -current, Slackware 12.2
Posts: 160

Rep: Reputation: 28
Looks like freeorion stopped building with boost 1.73.0. It complains about a missing boost/detail/endian.hpp, which looks to have been renamed (but not in 1.73.0? Not sure.)
 
Old 07-13-2020, 08:07 AM   #2872
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,523

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Spinlock View Post
Looks like freeorion stopped building with boost 1.73.0. It complains about a missing boost/detail/endian.hpp, which looks to have been renamed (but not in 1.73.0? Not sure.)
I've tried to update it from their git but it looks like it still won't build against the newer boost, so we should wait until upstream fixes it...
 
1 members found this post helpful.
Old 07-13-2020, 10:47 AM   #2873
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint,Manjaro...
Posts: 701

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
while trying to build FlightGear with SBo-current, it fails when building Simgear:
-----------------------------
/tmp/SBo/simgear-2020.1.2/version:1:1: erreur: expected unqualified-id before numeric constant
make[2]: *** [simgear/CMakeFiles/SimGearCore.dir/build.make:1123: simgear/CMakeFiles/SimGearCore.dir/misc/CSSBorder.cxx.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1005: simgear/CMakeFiles/SimGearCore.dir/all] Error 2
make: *** [Makefile:172: all] Error 2
------------------------------
 
Old 07-13-2020, 11:12 AM   #2874
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,523

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by nobodino View Post
while trying to build FlightGear with SBo-current, it fails when building Simgear:
-----------------------------
/tmp/SBo/simgear-2020.1.2/version:1:1: erreur: expected unqualified-id before numeric constant
make[2]: *** [simgear/CMakeFiles/SimGearCore.dir/build.make:1123: simgear/CMakeFiles/SimGearCore.dir/misc/CSSBorder.cxx.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1005: simgear/CMakeFiles/SimGearCore.dir/all] Error 2
make: *** [Makefile:172: all] Error 2
------------------------------
can you please paste some more of the log?

EDIT: have you seen that to build that on current you have to pass the script a parameter CURRENT=yes ?

Last edited by ponce; 07-13-2020 at 11:37 AM.
 
1 members found this post helpful.
Old 07-13-2020, 12:08 PM   #2875
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint,Manjaro...
Posts: 701

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
I use the SBo (Q)ueue to build the FlightGear packages.
I haven't seen the CURRENT=yes (where?).
some more log (in french):
---------------------
[ 27%] Building CXX object simgear/CMakeFiles/SimGearCore.dir/misc/CSSBorder.cxx.o
Dans le fichier inclus depuis /usr/include/boost/config/detail/select_stdlib_config.hpp:24,
depuis /usr/include/boost/config.hpp:44,
depuis /usr/include/boost/static_assert.hpp:17,
depuis /usr/include/boost/iterator/iterator_adaptor.hpp:10,
depuis /usr/include/boost/token_iterator.hpp:22,
depuis /usr/include/boost/tokenizer.hpp:20,
depuis /tmp/SBo/simgear-2020.1.2/simgear/misc/CSSBorder.cxx:21:
/tmp/SBo/simgear-2020.1.2/version:1:1: erreur: too many decimal points in number
1 | 2020.1.2
| ^~~~~~~~
Dans le fichier inclus depuis /usr/include/boost/config/detail/select_stdlib_config.hpp:24,
depuis /usr/include/boost/config.hpp:44,
depuis /usr/include/boost/static_assert.hpp:17,
depuis /usr/include/boost/iterator/iterator_adaptor.hpp:10,
depuis /usr/include/boost/token_iterator.hpp:22,
depuis /usr/include/boost/tokenizer.hpp:20,
depuis /tmp/SBo/simgear-2020.1.2/simgear/misc/CSSBorder.cxx:21:
/tmp/SBo/simgear-2020.1.2/version:1:1: erreur: expected unqualified-id before numeric constant
make[2]: *** [simgear/CMakeFiles/SimGearCore.dir/build.make:1123: simgear/CMakeFiles/SimGearCore.dir/misc/CSSBorder.cxx.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1005: simgear/CMakeFiles/SimGearCore.dir/all] Error 2
make: *** [Makefile:172: all] Error 2
-------------------------

Last edited by nobodino; 07-13-2020 at 12:25 PM.
 
Old 07-13-2020, 12:26 PM   #2876
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint,Manjaro...
Posts: 701

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
I downloaded all the stuff from your git repo, and applied the CURRENT=yes to the SlackBuild, it goes further.
Thanks.
 
Old 07-13-2020, 12:33 PM   #2877
rainydais
LQ Newbie
 
Registered: Aug 2017
Posts: 18

Rep: Reputation: Disabled
openimageio

To build it, either the SlackBuild has to be edited to point to python3.8, instead of 2.7

or, pybind11 must be rebuild so that it binds to python2 instead of python3
 
Old 07-13-2020, 12:55 PM   #2878
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,523

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by rainydais View Post
openimageio

To build it, either the SlackBuild has to be edited to point to python3.8, instead of 2.7

or, pybind11 must be rebuild so that it binds to python2 instead of python3
I don't know what's happening there but here builds fine as is and the openimageio python module gets built fine for python-2.7.x.
BTW, pybind11 already builds both python-2.7.x and python-3.8.x modules.
 
1 members found this post helpful.
Old 07-13-2020, 01:08 PM   #2879
rainydais
LQ Newbie
 
Registered: Aug 2017
Posts: 18

Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
I don't know what's happening there but here builds fine as is and the openimageio python module gets built fine for python-2.7.x.
BTW, pybind11 already builds both python-2.7.x and python-3.8.x modules.
For some reason I couldn't find /usr/include/python2.7/pybind11/, it was only in python3.8. Probably some mistake on my part then.
 
Old 07-14-2020, 07:05 AM   #2880
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint,Manjaro...
Posts: 701

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
SimGear builds, but now it's FlightGear which doesn't build even with CURRENT=yes
----------------------------------------------------
us_ffeatures.c.text+0x765)*: référence indéfinie vers «*basic_ff_register*»
collect2: erreur: ld a retourné le statut de sortie 1
make[2]: *** [src/Main/CMakeFiles/fgfs.dir/build.make:7676: src/Main/fgfs] Error 1
make[1]: *** [CMakeFiles/Makefile2:2594: src/Main/CMakeFiles/fgfs.dir/all] Error 2
make: *** [Makefile:183: all] Error 2

--------------------------

Last edited by nobodino; 07-14-2020 at 07:10 AM.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 05:15 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration